---
title: HTMLMediaElement.setMediaKeys()
slug: Web/API/HTMLMediaElement/setMediaKeys
tags:
  - API
  - Audio
  - EncryptedMediaExtensions
  - Experimental
  - HTMLMediaElement
  - Media
  - Method
  - Reference
  - Video
---
<p>{{APIRef("HTML DOM")}}{{SeeCompatTable}}</p>

<p>The <strong><code>setMediaKeys()</code></strong> property of the {{domxref("HTMLMediaElement")}} interface returns a {{jsxref("Promise")}} that resolves to the passed {{domxref("MediaKeys")}}, which are those used to decrypt media during playback.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var Promise = HTMLMediaElement.<em>setMediaKeys</em>(<em>mediaKeys</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>mediaKeys</dt>
 <dd>A reference to a {{domxref("MediaKeys")}} object that the {{domxref("HTMLMediaElement")}} can use for decryption of media data during playback.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>A {{jsxref("Promise")}} that resolves to the passed instance of <code>MediaKeys</code>.</p>

<h3 id="Specifications">Specifications</h3>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('EME','#dom-htmlmediaelement-setmediakeys','setMediaKeys()')}}</td>
   <td>{{Spec2('EME')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.HTMLMediaElement.setMediaKeys")}}</p>
</div>
